package com.pstreets.guice.demo;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.util.AttributeSet;
import android.view.View;

public class GuidebeeGraphics2DView extends View {

	public GuidebeeGraphics2DView(Context context, AttributeSet attrs,
			int defStyle) {
		super(context, attrs, defStyle);

	}

	public GuidebeeGraphics2DView(Context context, AttributeSet attrs) {
		super(context, attrs);

	}

	public GuidebeeGraphics2DView(Context context) {
		super(context);

	}
	


	final Runnable updateCanvas = new Runnable() {
		public void run() {
			invalidate();
		}
	};
	
	public void refreshCanvas(){
		post(updateCanvas);
	}
	
	public void onDraw(Canvas canvas) {
		super.onDraw(canvas);
		canvas.drawColor(0xFFFFFFFF);
		if (SharedGraphics2DInstance.graphics2d != null) {
			int offsetX = (getWidth() - 
					SharedGraphics2DInstance.CANVAS_WIDTH) / 2;
			int offsetY = (getHeight() 
					- SharedGraphics2DInstance.CANVAS_HEIGHT) / 2;
			canvas.drawBitmap(SharedGraphics2DInstance.graphics2d.getRGB(), 0,
					SharedGraphics2DInstance.CANVAS_WIDTH, 
					offsetX, offsetY,
					SharedGraphics2DInstance.CANVAS_WIDTH,
					SharedGraphics2DInstance.CANVAS_HEIGHT, 
					true, null);
		}
	}

}
